Create Sft Training Job
curl --request POST \
--url https://api.training.wandb.ai/v1/preview/sft-training-jobs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"training_data_url": "<string>",
"config": {
"batch_size": 123,
"learning_rate": 123,
"metric_logging": {}
},
"experimental_config": {}
}
'import requests
url = "https://api.training.wandb.ai/v1/preview/sft-training-jobs"
payload = {
"model_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"training_data_url": "<string>",
"config": {
"batch_size": 123,
"learning_rate": 123,
"metric_logging": {}
},
"experimental_config": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
training_data_url: '<string>',
config: {batch_size: 123, learning_rate: 123, metric_logging: {}},
experimental_config: {}
})
};
fetch('https://api.training.wandb.ai/v1/preview/sft-training-jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Create Sft Training Job
Create a new SFT (Supervised Fine-Tuning) training job.
POST
/
v1
/
preview
/
sft-training-jobs
Create Sft Training Job
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Schema for creating a new SFT (Supervised Fine-Tuning) TrainingJob.
The client should upload the training data (trajectories.jsonl and metadata.json) to W&B Artifacts and provide the artifact URL.
W&B artifact path for training data (e.g., 'wandb-artifact:///entity/project/artifact-name:version')
Schema for SFT training config.
Show child attributes
Show child attributes
Response
Successful Response
Schema for TrainingJob response.
Was this page helpful?
⌘I